Bug 246672 - audio/lilv: Update to 0.24.6
Summary: audio/lilv: Update to 0.24.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: easy, patch
Depends on:
Blocks: 246645
  Show dependency treegraph
 
Reported: 2020-05-23 03:32 UTC by Jack
Modified: 2020-05-25 09:25 UTC (History)
4 users (show)

See Also:
beerml: maintainer-feedback+


Attachments
Patch to update to lilv 0.24.6 (790 bytes, patch)
2020-05-23 03:32 UTC, Jack
no flags Details | Diff
Included pkg-plist changes (1.11 KB, patch)
2020-05-25 07:55 UTC, Jack
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2020-05-23 03:32:45 UTC
Created attachment 214769 [details]
Patch to update to lilv 0.24.6

lilv 0.24.6 is required to build lilv support for audacity 2.4.1, please update. Thanks.
Comment 1 Hiroki Tagato freebsd_committer 2020-05-25 07:42:11 UTC
Hi,

I tried to build the port using poudriere and failed with the following message:


====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PYTHON_SITELIBDIR%%/lilv.py
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.


It appears pkg-plist needs update.
Comment 2 Jack 2020-05-25 07:55:49 UTC
Created attachment 214837 [details]
Included pkg-plist changes

Missed pkg-plist, here is new patch with pkg-plist included
Comment 3 commit-hook freebsd_committer 2020-05-25 09:23:53 UTC
A commit references this bug:

Author: tagattie
Date: Mon May 25 09:23:42 UTC 2020
New revision: 536448
URL: https://svnweb.freebsd.org/changeset/ports/536448

Log:
  - Update to 0.24.6
  - Make portfmt happy

  PR:		246672
  Submitted by:	Jack <xxjack12xx@gmail.com>
  Approved by:	beerml@sigma6audio.de (maintainer), ehaupt (mentor)
  Changelog:	http://drobilla.net/2019/11/10/lilv-0-24-6.html

Changes:
  head/audio/lilv/Makefile
  head/audio/lilv/distinfo
  head/audio/lilv/pkg-plist
Comment 4 Hiroki Tagato freebsd_committer 2020-05-25 09:25:21 UTC
Committed, thanks!